<?xml version="1.0" encoding="ISO-8859-1"?>
<toc>
<book href="index.html" id="id5364247">
<title>ONC3 / NFS&#8482; 
Administrator's Guide</title>
<bookinfo href="front.html">
<title>Front Matter</title>
</bookinfo>
<preface href="pr01.html" id="id5418772">
<title>What's New in This Manual</title>
<section href="pr01.html#id5418787" id="id5418787">
<title>New Features Documented</title>
</section>
<section href="pr01.html#id5364481" id="id5364481">
<title>Documentation Changes</title>
</section>
</preface>
<preface href="pr02.html" id="id5364526">
<title>Record of Revision</title>
</preface>
<preface href="pr03.html" id="id5361088">
<title>About This Guide</title>
<section href="pr03.html#id5361124" id="id5361124">
<title>Summary of Contents </title>
<table href="pr03.html#id5361138" id="id5361138">
<title>Table 1.  ONC3/NFS Administrator's Guide Chapter Summaries</title>
</table>
</section>
<section href="pr03.html#id5362564" id="id5362564">
<title>What You Should Know</title>
</section>
<section href="pr03.html#id5362648" id="id5362648">
<title>Supplementary Documentation</title>
</section>
<section href="pr03.html#id5362826" id="id5362826">
<title>Typographical Conventions</title>
</section>
</preface>
<chapter href="ch01.html" id="id5362954">
<title>Chapter 1. Understanding ONC3/NFS</title>
<section href="ch01.html#id5362507" id="id5362507">
<title>Overview of ONC3/NFS </title>
</section>
<section href="ch01.html#id5363008" id="id5363008">
<title>ONC3/NFS Components</title>
</section>
<section href="ch01.html#id5363758" id="id5363758">
<title>About NFS</title>
<figure href="ch01.html#id5363850" id="id5363850">
<title>Figure 1-1. NFS Software Implementation</title>
</figure>
<section href="ch01.html#id5363867" id="id5363867">
<title>NFS and Diskless Workstations</title>
</section>
</section>
<section href="ch01.html#id5363904" id="id5363904">
<title>About NFS and the Network Information Service</title>
</section>
<section href="ch01.html#id5363946" id="id5363946">
<title>About UNS and NIS</title>
</section>
<section href="ch01.html#id5363963" id="id5363963">
<title>About The AutoFS File System</title>
<section href="ch01.html#id5364082" id="id5364082">
<title>Simplified autofs Operation</title>
<section href="ch01.html#id5435572" id="id5435572">
<title>How Autofs Navigates Through the Network (Maps) </title>
</section>
</section>
</section>
<section href="ch01.html#id5435620" id="id5435620">
<title>About CacheFS File System</title>
</section>
<section href="ch01.html#id5435728" id="id5435728">
<title>Client-Server Fundamentals</title>
<section href="ch01.html#id5435800" id="id5435800">
<title>Exporting NFS File Systems</title>
</section>
<section href="ch01.html#id5435996" id="id5435996">
<title>Mounting NFS File Systems</title>
<section href="ch01.html#id5436121" id="id5436121">
<title>NFS Mount Points</title>
<figure href="ch01.html#id5436155" id="id5436155">
<title>Figure 1-2. Sample Mounted Directory</title>
</figure>
</section>
<section href="ch01.html#id5436212" id="id5436212">
<title>NFS Mount Restrictions</title>
</section>
</section>
</section>
<section href="ch01.html#id5436341" id="id5436341">
<title>NFS Automatic Mounting</title>
</section>
<section href="ch01.html#id5436528" id="id5436528">
<title>UDP Stateless Protocol</title>
</section>
<section href="ch01.html#id5436578" id="id5436578">
<title>TCP Connections for NFS</title>
</section>
<section href="ch01.html#id5436595" id="id5436595">
<title>NFS Input/Output Management</title>
</section>
<section href="ch01.html#id5436672" id="id5436672">
<title>NFS File Locking Service</title>
<section href="ch01.html#id5436789" id="id5436789">
<title>NFS Locking and Crash Recovery</title>
</section>
<section href="ch01.html#id5436852" id="id5436852">
<title>NFS Locking and the Network Status Monitor</title>
</section>
</section>
</chapter>
<chapter href="ch02.html" id="id5436921">
<title>Chapter 2. Planning ONC3/NFS Service</title>
<section href="ch02.html#id5437042" id="id5437042">
<title>File System Export Process</title>
<section href="ch02.html#id5437266" id="id5437266">
<title>Customizing exportfs</title>
</section>
<section href="ch02.html#id5437403" id="id5437403">
<title>Operation of /etc/exports and Other Export Files</title>
<section href="ch02.html#id5437552" id="id5437552">
<title>/etc/exports Options</title>
</section>
<section href="ch02.html#id5437975" id="id5437975">
<title>Sample /etc/exports File</title>
</section>
</section>
<section href="ch02.html#id5438159" id="id5438159">
<title>Efficient Exporting </title>
</section>
<section href="ch02.html#id5438361" id="id5438361">
<title>Security Caveats for Exporting</title>
</section>
</section>
<section href="ch02.html#id5438497" id="id5438497">
<title>/etc/fstab Mount Process</title>
<section href="ch02.html#id5438720" id="id5438720">
<title>Customizing mount and umount Commands</title>
</section>
<section href="ch02.html#id5439021" id="id5439021">
<title>Operation of /etc/fstab and Other Mount Files</title>
<section href="ch02.html#id5439316" id="id5439316">
<title>/etc/fstab Options</title>
</section>
<section href="ch02.html#id5440017" id="id5440017">
<title>Sample /etc/fstab File</title>
</section>
</section>
<section href="ch02.html#id5440151" id="id5440151">
<title>Efficient Mounting with /etc/fstab</title>
</section>
</section>
<section href="ch02.html#id5440280" id="id5440280">
<title>Automatic Mount Process</title>
<section href="ch02.html#id5441835" id="id5441835">
<title>Customizing automount Commands</title>
</section>
<section href="ch02.html#id5442123" id="id5442123">
<title>autofsd and autofs Command Options</title>
</section>
<section href="ch02.html#id5442424" id="id5442424">
<title>Operation of Automatic Mounter Files and Maps</title>
<section href="ch02.html#id5442590" id="id5442590">
<title>automount Files and Maps</title>
</section>
<section href="ch02.html#id5442821" id="id5442821">
<title>automount Mount Points</title>
</section>
<section href="ch02.html#id5443016" id="id5443016">
<title>autofs Files and Maps</title>
</section>
<section href="ch02.html#id5443294" id="id5443294">
<title>autofs Mount Points</title>
</section>
</section>
<section href="ch02.html#id5443507" id="id5443507">
<title>About Automatic Mounter Map Types</title>
<section href="ch02.html#id5443608" id="id5443608">
<title>Master Maps for the Automatic Mounter</title>
</section>
<section href="ch02.html#id5443994" id="id5443994">
<title>Direct Maps for the Automatic Mounter </title>
</section>
<section href="ch02.html#id5444128" id="id5444128">
<title>Indirect Maps for the Automatic Mounter </title>
</section>
</section>
<section href="ch02.html#id5444394" id="id5444394">
<title>Effective Automatic Mounting</title>
</section>
</section>
<section href="ch02.html#id5444556" id="id5444556">
<title>Planning a CacheFS File System</title>
<section href="ch02.html#id5444865" id="id5444865">
<title>Customizing CacheFS</title>
<section href="ch02.html#id5444957" id="id5444957">
<title>mount and umount Options for CacheFS</title>
</section>
<section href="ch02.html#id5445036" id="id5445036">
<title>/etc/fstab Additions for CacheFS</title>
</section>
</section>
<section href="ch02.html#id5445597" id="id5445597">
<title>Consistency Checking with mount Command in CacheFS</title>
<table href="ch02.html#id5445724" id="id5445724">
<title>Table 2-1. Consistency Checking Arguments for the -o mount Option</title>
</table>
</section>
<section href="ch02.html#id5446048" id="id5446048">
<title>Cached File System Administration</title>
<section href="ch02.html#id5446529" id="id5446529">
<title>Cache Resource Parameters in CacheFS</title>
<table href="ch02.html#id5446592" id="id5446592">
<title>Table 2-2. CacheFS Parameters</title>
</table>
<table href="ch02.html#id5446736" id="id5446736">
<title>Table 2-3. Default Values of Cache Parameters</title>
</table>
</section>
<section href="ch02.html#id5447172" id="id5447172">
<title>cfsstat Command</title>
</section>
</section>
<section href="ch02.html#id5447201" id="id5447201">
<title>CacheFS Tunable Parameters</title>
<table href="ch02.html#id5447249" id="id5447249">
<title>Table 2-4. CacheFS Tunable Parameters</title>
</table>
<table href="ch02.html#id5447464" id="id5447464">
<title>Table 2-5. CacheFS Tunable Parameter Values</title>
</table>
</section>
</section>
</chapter>
<chapter href="ch03.html" id="id5447685">
<title>Chapter 3. Using Automatic Mounter Map Options</title>
<section href="ch03.html#id5447832" id="id5447832">
<title>Including Group Mounts in Maps</title>
</section>
<section href="ch03.html#id5448052" id="id5448052">
<title>Using Hierarchical Formats in Group Mounts</title>
</section>
<section href="ch03.html#id5448258" id="id5448258">
<title>Specifying Alternative Servers</title>
</section>
<section href="ch03.html#id5448460" id="id5448460">
<title>Using Metacharacters</title>
<section href="ch03.html#id5448532" id="id5448532">
<title>Ampersand (&amp;) Metacharacter</title>
</section>
<section href="ch03.html#id5448758" id="id5448758">
<title>Asterisk (*) Metacharacter</title>
</section>
<section href="ch03.html#id5448844" id="id5448844">
<title>Backslash (\) Disabling Signal</title>
</section>
<section href="ch03.html#id5448929" id="id5448929">
<title>Double Quotation Marks (&quot;) String Delimiters</title>
</section>
</section>
<section href="ch03.html#id5448992" id="id5448992">
<title>Using Environment Variables</title>
</section>
<section href="ch03.html#id5449158" id="id5449158">
<title>Including Supplementary Maps</title>
</section>
</chapter>
<chapter href="ch04.html" id="id5449340">
<title>Chapter 4. Setting Up and Testing ONC3/NFS</title>
<section href="ch04.html#id5449522" id="id5449522">
<title>Setting Up the NFS Server</title>
</section>
<section href="ch04.html#id5450380" id="id5450380">
<title>Setting Up an NFS Client</title>
</section>
<section href="ch04.html#id5451237" id="id5451237">
<title>Setting Up the Automatic Mounters</title>
<section href="ch04.html#id5451273" id="id5451273">
<title>Setting Up a Default Automatic Mounter Environment </title>
</section>
<section href="ch04.html#id5451875" id="id5451875">
<title>Setting Up a Custom Automatic Mounter Environment</title>
<section href="ch04.html#id5451932" id="id5451932">
<title>Step 1: Creating the Maps</title>
</section>
<section href="ch04.html#id5452306" id="id5452306">
<title>Step 2: Starting the Automatic Mounter Program</title>
</section>
<section href="ch04.html#id5452659" id="id5452659">
<title>Step 3: Verifying the Automatic Mounter Process</title>
</section>
<section href="ch04.html#id5453055" id="id5453055">
<title>Step 4: Testing the Automatic Mounter</title>
</section>
</section>
</section>
<section href="ch04.html#id5453305" id="id5453305">
<title>Setting Up the Lock Manager</title>
</section>
<section href="ch04.html#id5453790" id="id5453790">
<title>Setting Up the CacheFS File System</title>
<section href="ch04.html#id5454016" id="id5454016">
<title>Front File System Requirements</title>
</section>
<section href="ch04.html#id5454040" id="id5454040">
<title>Setting Up a Cached File System</title>
</section>
<section href="ch04.html#id5454151" id="id5454151">
<title>Creating a Cache</title>
</section>
<section href="ch04.html#id5454310" id="id5454310">
<title>Setting Cache Parameters</title>
</section>
</section>
<section href="ch04.html#id5454522" id="id5454522">
<title>Mounting a Cached File System</title>
<section href="ch04.html#id5454567" id="id5454567">
<title>Using mount to Mount a Cached File System</title>
<section href="ch04.html#id5454662" id="id5454662">
<title>Mounting a Cached File System That Is Already Mounted</title>
</section>
<section href="ch04.html#id5454758" id="id5454758">
<title>Mounting a CD-ROM as a Cached File System</title>
</section>
</section>
</section>
</chapter>
<chapter href="ch05.html" id="id5454950">
<title>Chapter 5. Maintaining ONC3/NFS</title>
<section href="ch05.html#id5455077" id="id5455077">
<title>Changing the Number of NFS Server Daemons</title>
</section>
<section href="ch05.html#id5455331" id="id5455331">
<title>Temporary NFS Mounting</title>
</section>
<section href="ch05.html#id5455422" id="id5455422">
<title>Modifying the Automatic Mounter Maps</title>
<section href="ch05.html#id5455553" id="id5455553">
<title>Modifying the Master Map</title>
</section>
<section href="ch05.html#id5455616" id="id5455616">
<title>Modifying Indirect Maps</title>
</section>
<section href="ch05.html#id5455669" id="id5455669">
<title>Modifying Direct Maps</title>
</section>
</section>
<section href="ch05.html#id5455920" id="id5455920">
<title>Mount Point Conflicts</title>
</section>
<section href="ch05.html#id5456076" id="id5456076">
<title>Modifying CacheFS File System Parameters</title>
<section href="ch05.html#id5456222" id="id5456222">
<title>Displaying Information About Cached File Systems</title>
</section>
</section>
<section href="ch05.html#id5456344" id="id5456344">
<title>Deleting a CacheFS File System</title>
</section>
</chapter>
<chapter href="ch06.html" id="id5456504">
<title>Chapter 6. Troubleshooting ONC3/NFS</title>
<section href="ch06.html#id5456687" id="id5456687">
<title>General Recommendations</title>
</section>
<section href="ch06.html#id5456837" id="id5456837">
<title>Understanding the Mount Process</title>
</section>
<section href="ch06.html#id5457418" id="id5457418">
<title>Identifying the Point of Failure</title>
<section href="ch06.html#id5457436" id="id5457436">
<title>Verifying Server Status</title>
</section>
<section href="ch06.html#id5457634" id="id5457634">
<title>Verifying Client Status</title>
</section>
<section href="ch06.html#id5457772" id="id5457772">
<title>Verifying Network Status</title>
</section>
</section>
<section href="ch06.html#id5457825" id="id5457825">
<title>Troubleshooting NFS Common Failures</title>
<section href="ch06.html#id5457860" id="id5457860">
<title>Troubleshooting Mount Failure</title>
</section>
<section href="ch06.html#id5457928" id="id5457928">
<title>Troubleshooting Lack of Server Response</title>
</section>
<section href="ch06.html#id5458094" id="id5458094">
<title>Troubleshooting Remote Mount Failure</title>
</section>
<section href="ch06.html#id5458131" id="id5458131">
<title>Troubleshooting Slow Performance</title>
</section>
<section href="ch06.html#id5458321" id="id5458321">
<title>Failure to Access Remote Devices</title>
</section>
</section>
<section href="ch06.html#id5458338" id="id5458338">
<title>Troubleshooting automount</title>
<section href="ch06.html#id5458459" id="id5458459">
<title>Role of automount in System Startup</title>
</section>
<section href="ch06.html#id5458588" id="id5458588">
<title>Daemon Action in Mounting Process</title>
</section>
<section href="ch06.html#id5458663" id="id5458663">
<title>Effect of automount Map Types</title>
</section>
</section>
<section href="ch06.html#id5458730" id="id5458730">
<title>Troubleshooting autofs</title>
</section>
<section href="ch06.html#id5458918" id="id5458918">
<title>Troubleshooting CacheFS</title>
</section>
</chapter>
<appendix href="apa.html" id="id5459216">
<title>Appendix A. ONC3/NFS Error Messages</title>
<section href="apa.html#id5459337" id="id5459337">
<title>mount Error Messages</title>
</section>
<section href="apa.html#id5460360" id="id5460360">
<title>Verbose automount and autofs Error Messages</title>
</section>
<section href="apa.html#id5460974" id="id5460974">
<title>General automount and autofs Error Messages</title>
<section href="apa.html#id5461005" id="id5461005">
<title>autofs Only Error Messages</title>
</section>
<section href="apa.html#id5461104" id="id5461104">
<title>automount Only Error Messages</title>
</section>
<section href="apa.html#id5461196" id="id5461196">
<title>autofs and automount Error Messages</title>
</section>
</section>
<section href="apa.html#id5462291" id="id5462291">
<title>General CacheFS Errors</title>
<section href="apa.html#id5462326" id="id5462326">
<title>cfsadmin Error Messages</title>
</section>
<section href="apa.html#id5463607" id="id5463607">
<title>mount_cachefs Error Messages</title>
</section>
<section href="apa.html#id5463903" id="id5463903">
<title>umount_cachefs Error Messages</title>
</section>
</section>
</appendix>
<index href="ix01.html" id="ix">
<title>Index</title>
</index>
</book>
</toc>
